﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Knowledge
{
    public record QueryKnowledgeApprovePagedRequest : PagedRequest
    {
        /// <summary>
        /// 已审批
        /// </summary>
        public bool HasApproved { get; set; }
    }

    /// <summary>
    /// 批量更新公开状态
    /// </summary>
    public record PublishBatchRequest
    {
        public List<string> KnowledgeIds { get; set; }

        public bool IsPublic { get; set; }
    }
}
